const path = require('path');
const { EnvironmentPlugin } = require('webpack');
const envPath = path.resolve(__dirname, '../../.env');
const envConfig = require('dotenv').config({ path: envPath }).parsed;

module.exports = (env) => {
  const url = env.URL || 'http://localhost';

  return {
    entry: '../background.js',
    target: 'web',
    mode: 'production',
    module: {
      rules: [
        {
          test: /\.js?$/,
          use: 'babel-loader',
          exclude: /node_modules/,
        },
      ],
    },
    resolve: { extensions: ['.tsx', '.ts', '.js'] },
    output: {
      filename: 'background.bundle.js',
      path: path.resolve(__dirname, '../'),
      publicPath: '',
    },
    plugins: [
      new EnvironmentPlugin({
        WEBRTC_INTERNALS_EXPORTER_URL: envConfig.WEBRTC_INTERNALS_EXPORTER_URL || url
      }),
    ],
  };
};
